const wait = (ms) => new Promise((resolve) => setTimeout(resolve, ms));
(async () => {
	const pages = [...dv.pages('"bookmarks"')]
		.filter(p => p.file.name !== dv.current().file.name)
		.sort((a,b) => new Date(b['mastodon-published']) - new Date(a['mastodon-published']))
	for (const page of pages) {
		dv.span(`[[${page.file.path}]]`)
		dv.span(`![[${page.file.path}]]`)
		dv.span('<br><hr><br>')
		await wait(0)
	}
})()
